/**
 * @file
 * @copyright 2020, Valentin Anger
 * @license ISC
 */

export const enum Replies {
  RPL_WELCOME = "001",
  RPL_YOURHOST = "002",
  RPL_CREATED = "003",
  RPL_MYINFO = "004",
  RPL_BOUNCE = "005",

  RPL_TRACELINK = "200",
  RPL_TRACECONNECTING = "201",
  RPL_TRACEHANDSHAKE = "202",
  RPL_TRACEUNKNOWN = "203",
  RPL_TRACEOPERATOR = "204",
  RPL_TRACEUSER = "205",
  RPL_TRACESERVER = "206",

  RPL_AWAY = "301",
  RPL_USERHOST = "302",
  RPL_ISON = "303",
  RPL_UNAWAY = "305",
  RPL_NOWAWAY = "306",
  RPL_WHOISUSER = "311",
  RPL_WHOISSERVER = "312",
  RPL_WHOISOPERATOR = "313",
  RPL_WHOWASUSER = "314",
  RPL_ENDOFWHO = "315",
  RPL_WHOISIDLE = "317",
  RPL_ENDOFWHOIS = "318",
  RPL_WHOISCHANNELS = "319",
  RPL_LISTSTART = "321",
  RPL_LIST = "322",
  RPL_LISTEND = "323",
  RPL_CHANNELMODEIS = "324",
  RPL_UNIQOPIS = "325",
  RPL_NOTOPIC = "331",
  RPL_TOPIC = "332",
  RPL_INVITING = "341",
  RPL_SUMMONING = "342",
  RPL_INVITELIST = "346",
  RPL_ENDOFINVITELIST = "347",
  RPL_EXCEPTLIST = "348",
  RPL_ENDOFEXCEPTLIST = "349",
  RPL_VERSION = "351",
  RPL_WHOREPLY = "352",
  RPL_NAMREPLY = "353",
  RPL_LINKS = "364",
  RPL_ENDOFLINKS = "365",
  RPL_ENDOFNAMES = "366",
  RPL_BANLIST = "367",
  RPL_ENDOFBANLIST = "368",
  RPL_ENDOFWHOWAS = "369",
  RPL_INFO = "371",
  RPL_MOTD = "372",
  RPL_ENDOFINFO = "374",
  RPL_MOTDSTART = "375",
  RPL_ENDOFMOTD = "376",
  RPL_YOUREOPER = "381",
  RPL_REHASHING = "382",
  RPL_YOURESERVICE = "383",
  RPL_TIME = "391",
  RPL_USERSSTART = "392",
  RPL_USERS = "393",
  RPL_ENDOFUSERS = "394",
  RPL_NOUSERS = "395",

  ERR_NOSUCHNICK = "401",
}
